using Mall.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mall.Common.Enum.User
{
    /// <summary>
    /// 分销商导出选项枚举
    /// </summary>
    public enum DistributorExportEnum
    {
        /// <summary>
        /// 所属平台
        /// </summary>
        [EnumField("所属平台")]
        SSPT = 1,
        /// <summary>
        /// 用户ID
        /// </summary>
        [EnumField("用户ID")]
        YHID = 2,
        /// <summary>
        /// 昵称
        /// </summary>
        [EnumField("昵称")]
        NC = 3,
        /// <summary>
        /// 姓名
        /// </summary>
        [EnumField("姓名")]
        Name = 4,
        /// <summary>
        /// 绑定手机号
        /// </summary>
        [EnumField("手机号")]
        BDSJH = 5,
        /// <summary>
        /// 申请时间
        /// </summary>
        [EnumField("申请时间")]
        Time = 6,
        /// <summary>
        /// 审核状态
        /// </summary>
        [EnumField("审核状态")]
        AuditStatus = 7,
        /// <summary>
        /// 累计佣金
        /// </summary>
        [EnumField("累计佣金")]
        LJYJ = 8,
        /// <summary>
        /// 可提现佣金
        /// </summary>
        [EnumField("可提现佣金")]
        KTXYJ = 9,
        /// <summary>
        /// 订单数
        /// </summary>
        [EnumField("订单数")]
        DDS = 10,
        /// <summary>
        /// 下级用户
        /// </summary>
        [EnumField("下级用户")]
        XJYH = 11,
        /// <summary>
        /// 推荐人
        /// </summary>
        [EnumField("推荐人")]
        TJR = 12,
        /// <summary>
        /// 备注信息
        /// </summary>
        [EnumField("备注信息")]
        BZ = 13
    }
}
